---
updatedAt: 2026-04-22T18:03:46.000Z
agentTools:
  projectIndex: https://docs.zype.com/llms.txt
---

# View Self Hosted Video Data Source

View Self Hosted Video Data Source

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Platform",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/app": {
      "get": {
        "summary": "View App",
        "tags": [
          "Apps"
        ],
        "operationId": "getApp",
        "parameters": [
          {
            "name": "app_key",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "App key provided by Zype"
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "title": "AppResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "type": "object",
                      "title": "App",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "active": {
                          "type": "boolean"
                        },
                        "app_type_id": {
                          "type": "string"
                        },
                        "device_ids": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "site_id": {
                          "type": "string"
                        },
                        "title": {
                          "type": "string"
                        },
                        "version": {
                          "type": "string"
                        },
                        "store_icon_url": {
                          "type": "string"
                        }
                      },
                      "example": {
                        "_id": "593b1ac8830ece0024000005",
                        "active": false,
                        "app_type_id": "1593030e94d740d00530000971",
                        "device_ids": [
                          "593030d64d740d0053000007"
                        ],
                        "site_id": "593031674d740d01cd000000",
                        "title": "Apple TV App",
                        "version": "0.1.0",
                        "store_icon_url": "https:/url"
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "App not found",
            "content": {
              "application/json": {
                "schema": {
                  "title": "NotFound",
                  "type": "object",
                  "required": [
                    "message"
                  ],
                  "properties": {
                    "message": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/videos/{video_id}/self_hosted": {
      "get": {
        "tags": [
          "Videos"
        ],
        "summary": "List Self Hosted Video Data Sources",
        "description": "Retrieve a list of self-hosted video data sources",
        "operationId": "listSelfHostedVideoDataSources",
        "parameters": [
          {
            "name": "video_id",
            "in": "path",
            "description": "ID of the video",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Response will contain an array of data sources",
            "content": {
              "application/json": {
                "schema": {
                  "title": "SelfHostedVideoDataSourceResponse",
                  "type": "object",
                  "properties": {
                    "response": {
                      "title": "SelfHostedVideoDataSource",
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string"
                        },
                        "active": {
                          "type": "boolean"
                        },
                        "duration": {
                          "type": "number",
                          "description": "Video duration"
                        },
                        "files": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "title": "files",
                            "properties": {
                              "aspect_ratio": {
                                "type": "number"
                              },
                              "height": {
                                "type": "number"
                              },
                              "width": {
                                "type": "number"
                              },
                              "type": {
                                "type": "string"
                              },
                              "url": {
                                "type": "string"
                              }
                            }
                          },
                          "description": ""
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        },
        "deprecated": false
      }
    },
    "/videos/{video_id}/self_hosted/{data_source_id}": {
      "get": {
        "tags": [
          "Videos"
        ],
        "summary": "View Self Hosted Video Data Source",
        "description": "View Self Hosted Video Data Source",
        "operationId": "getSelfHostedVideoDataSource",
        "parameters": [
          {
            "name": "data_source_id",
            "in": "path",
            "description": "ID of the data source",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "video_id",
            "in": "path",
            "description": "ID of the video",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos~1{video_id}~1self_hosted/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Video Data Source Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1app/get/responses/404/content/application~1json/schema"
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  }
}
```